# QSessionManager Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QSessionManager prototype object
- RestartIfRunning
- RestartAnyway
- RestartImmediately
- RestartNever
- RestartHint( value )

### Prototype Object Properties

The QSessionManager prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool allowsErrorInteraction()
- bool allowsInteraction()
- void cancel()
- List discardCommand()
- bool isPhase2()
- void release()
- void requestPhase2()
- List restartCommand()
- RestartHint restartHint()
- String sessionId()
- String sessionKey()
- void setDiscardCommand(List arg__1)
- void setManagerProperty(String name, String value)
- void setRestartCommand(List arg__1)
- void setRestartHint(RestartHint arg__1)

### Instance Properties

QSessionManager objects have no special properties beyond those inherited from the QSessionManager prototype object.